## Optionen

Folgende Optionen müssen für Backint for MaxDB gesetzt werden können:

Option | Beschreibung | Vorschlagswert
-u <user_id> | Benutzerkennung (UID), Benutzer des Sicherungswerkzeugs (z. B. Name der Datenbankinstanz) | Keiner
-f <function> | <function>::= backup | restore | inquire | delete Art der Operation | backup
-t <type> | <type>::= file Sicherungstyp, file ist der einzig mögliche Typ für die Handhabung von Dateien oder Pipes Er ist equivalent zum Sicherungstyp file von BACKINT (für Oracle). | file
-c | Unbetreute Sicherung (keine Aktion durch Operator möglich) | Betreute Sicherung
-p <par_file> | Name der Parameterdatei, Textdatei für das externe Sicherungswerkzeug mit Parametern, die die Sicherungsprozedur festlegen ist spezifisch für das Sicherungswerkzeug Die MaxDB-Datenbankwerkzeuge entnehmen den Speicherort dieser Datei ihrer eigenen Parameterdatei, werten aber ihren Inhalt nicht aus. | Keiner
-i <in_file> | Name der Eingabedatei Textdatei mit den Objekten der Funktion (backup, restore, inquire oder delete). Siehe auch: Inhalt der Eingabedatei | Wenn diese Option nicht gesetzt ist, werden die Daten aus der Standardeingabe gelesen.
-o <out_file> | Name der Ausgabedatei Textdatei, in der Meldungen über die Verarbeitung und die Ergebnisse der ausgeführten Funktion gespeichert werden Siehe auch: Inhalt der Ausgabedatei | Wenn diese Option nicht gesetzt ist, werden die Meldungen in die Standardausgabe geschrieben.

Siehe auch: Variablen